image: docker:latest

services:
  - docker:19.03.5-dind

variables:
  CI_REGISTRY_IMAGE: "$DOCKER_REGISTRY/$CI_PROJECT_NAME"

before_script:
  - docker info
  - export
  - docker login -u "$DOCKER_REGISTRY_USER" -p "$DOCKER_REGISTRY_PASSWORD"

build-master:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE:latest" .
    - docker push "$CI_REGISTRY_IMAGE:latest"
  only:
    - master

build:
  stage: build
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" .
    - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"
  except:
    - master
